<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <base href="{{ RELATIVE_PATH }}">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="shortcut icon" href="favicon.ico" />
    <title>openZmeter</title>
    <style id="PreloadStyle">
      * {
        box-sizing: border-box;
        font-family: sans-serif;
      }      
      body, html {
        display: table;
        position: absolute;
        height: 100%;
        width: 100%;
        background-color: #474544;
        background-image: none;
        overflow: hidden;
        margin: 0px;
      }   
      .card {
        max-width: 350px;
        background-color: #F7F7F7;
        padding: 40px 40px 10px 40px;
        margin: auto;
      }  
      .container {
        display: table-cell;
        vertical-align: middle;
        width: 100%;
        position: relative;
        z-index: 10;
        margin-right: auto;
        margin-left: auto;
        padding-left: 15px;
        padding-right: 15px;
      }
      .panel-footer {
        width: 100%;
        text-align: right;
        margin-top: 5px;
        display: inline-table;
      }
      img.trademark {
        padding-top: 4px;
      }
      img.logo {
        margin-bottom: 5px;
        max-width: 100%;
      }
      .progress {
        overflow: hidden;
        height: 12px;
        background-color: #f5f5f5;
        border-radius: 4px;
        margin: 3px 6px;
        border: 1px solid #ccc;
      }
      .progress-bar {
        width: 100%;
        background-color: #e8701c;
        height: 100%;
        box-shadow: inset 0 -1px 0 rgba(0,0,0,.15);
        background-image: linear-gradient(-45deg,rgba(255,255,255,.15) 25%,transparent 25%,transparent 50%,rgba(255,255,255,.15) 50%,rgba(255,255,255,.15) 75%,transparent 75%,transparent);
        background-size: 40px 40px;
        animation: progress-bar 2s linear infinite;
      }
      @keyframes progress-bar {
        from  { background-position: -40px 0; }
        to    { background-position: 0 0; }
      }
    </style>
  </head>
  <body>
    <div class="container" id="Preloader">
      <div class="card">
        <div>
          <img src="Logo.png" class="logo">
        </div>
        <div class="panel-footer">
          <div class="progress">
            <div class="progress-bar"></div>
          </div>
          <img src="zRed.png" class="trademark">
        </div>
      </div>
    </div>
    <script>
      function ReplacePage() {
        var Loader = document.getElementById("Preloader");
        Loader.parentNode.removeChild(Loader);
        var Style = document.getElementById("PreloadStyle");
        Style.parentNode.removeChild(Style);
      }
    </script>
    <div id="app"></div>
    <script src="openZmeter.js?v={{ VERSION }}" onload="ReplacePage()"></script>
  </body>
</html>
